/*********************************************************************************
 * Copyright (c) 2008 Forschungszentrum Juelich GmbH 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Forschungszentrum Juelich GmbH nor the names of its 
 * contributors may be used to endorse or promote products derived from this 
 * software without specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 ********************************************************************************/

package eu.unicore.gateway.base;

import java.nio.channels.SocketChannel;

import org.eclipse.jetty.io.AsyncEndPoint;
import org.eclipse.jetty.io.nio.AsyncConnection;
import org.eclipse.jetty.server.nio.SelectChannelConnector;

import eu.emi.security.authn.x509.X509CertChainValidator;
import eu.emi.security.authn.x509.X509Credential;
import eu.unicore.gateway.properties.GatewayProperties;
import eu.unicore.util.jetty.NIOSSLSocketConnector;

/**
 * Extension of the {@link SelectChannelConnector}, which is a placeholder for an implementation
 * providing UPGRADE support for Async connections.
 * 
 * TODO - implement.
 * 
 * @author schuller
 * @author golbi
 */
public class GatewayNIOSSLSocketConnector extends NIOSSLSocketConnector {
	//private GatewayProperties properties;
	
	public GatewayNIOSSLSocketConnector(GatewayProperties properties, X509CertChainValidator validator,
			X509Credential credential) throws Exception
	{
		super(validator, credential);
		//this.properties = properties;
	}
	
	@Override
	protected AsyncConnection newConnection(SocketChannel channel, AsyncEndPoint endpoint){
		/*
		AsyncHttpConnection connection = new UpgreadableAsyncConnection(this, endpoint, 
				getServer(), properties);
		((HttpParser)connection.getParser()).setForceContentBuffer(true);
	        return connection;
	        */
		return super.newConnection(channel, endpoint);
	}
}








