package eu.unicore.gateway.base;

import org.eclipse.jetty.io.Connection;
import org.eclipse.jetty.io.EndPoint;
import org.eclipse.jetty.server.bio.SocketConnector;

import eu.unicore.gateway.properties.GatewayProperties;
import eu.unicore.gateway.util.UpgreadableBlockingConnection;

/**
 * Adds support for UPGRADE
 * @author K. Benedyczak
 */
public class GatewaySocketConnector extends SocketConnector 
{
	private GatewayProperties props;
	
	public GatewaySocketConnector(GatewayProperties props) {
		this.props = props;
	}
	
	@Override
	protected Connection newConnection(EndPoint endpoint) {
		return new UpgreadableBlockingConnection(this, endpoint, getServer(), props);
	}
	
}
