package eu.unicore.gateway.util;

import org.apache.log4j.Logger;

import eu.unicore.util.Log;

public class LogUtil extends Log {
	
	protected LogUtil(){}
	
	/**
	 * logger prefix for general Gateway code
	 */
	public static final String GATEWAY="unicore.gateway";
	
	/**
	 * MDC context key for the client's IP
	 */
	public static final String MDC_IP="clientIP";
	
	/**
	 * MDC context key for the client's DN
	 */
	public static final String MDC_DN="clientName";
	
	
	/** 
	 * log an error message to the default logger ("unicore.wsrflite")
	 * A human-friendly message is constructed and logged at "INFO" level.
	 * The stack trace is logged at "DEBUG" level.
	 * 
	 * @param message - the error message
	 * @param cause - the cause of the error
	 *
	 */
	public static void logException(String message, Throwable cause){
		logException(message,cause,Logger.getLogger(GATEWAY));
	}
}
